import * as RE from 'rogue-engine'
import * as THREE from 'three'

export default class MainMenuCamera extends RE.Component {
  
  awake() {
    
  }

  start() {
    let light = this.object3d.getObjectByName("Directional Light")
    
    if(light == null) {
      RE.Debug.logError("Did not find light")
      return
    }

    light.target = new THREE.Object3D()
  }

  update() {
  }
}

RE.registerComponent(MainMenuCamera);
